实时音频-视频适用于标准网络摄像头、USB 音频设备和模拟音频设备,并支持 Skype、WebEx 和 Google Hangouts 等标准会议应用程序。要支持实时音频-视频,View 部署必须满足特定的软件和硬件要求。

适用于 Linux 的下列 Horizon Client 版本支持该功能:

  • VMware 提供的 Horizon Client 3.2 或更高版本。
  • 第三方供应商提供的 Horizon Client 2.2 或更高版本。
View 远程桌面

桌面必须安装 View Agent 5.3 或更高版本或者 Horizon Agent 7.0 或更高版本。对于 View Agent 5.3 桌面,桌面还必须安装相应的 Remote Experience Agent。例如,如果安装了 View Agent 5.3,还必须从 View 5.3 Feature Pack 1 安装 Remote Experience Agent。请参阅 View View Feature Pack 安装与管理指南》文档。 如果具有 View Agent 6.0 或更高版本或者 Horizon Agent 7.0 或更高版本,则不需要使用 Feature Pack。远程应用程序不支持实时音频-视频。

Horizon Client 计算机或客户端访问设备
  • Horizon Client 3.4 和更早版本中,仅在 x86 设备上支持实时音频-视频。在 Horizon Client 3.5 和更高版本中,在 x86 和 x64 设备上支持该功能。ARM 处理器不支持该功能。客户端系统处理器必须至少使用双核。
  • Horizon Client 需要以下资源库:
    • Video4Linux2
    • libv4l
    • Pulse Audio

    插件文件(Horizon Client 3.5 和更低版本中的 /usr/lib/pcoip/vchan_plugins/libmmredir_plugin.so 以及 Horizon Client 4.0 中的 /usr/lib/pcoip/vchan_plugins/libviewMMDevRedir.so)具有以下依赖关系:

    libuuid.so.1
    libv4l2.so.0
    libspeex.so.1
    libudev0
    libtheoradec.so.1
    libtheoraenc.so.1
    libv4lconvert.so.0
    libjpeg.so.8
    

    所有此类文件必须位于客户端系统上,否则就无法使用实时音频-视频。请注意,这些依赖关系是除 Horizon Client 自身所需的依赖关系之外的依赖关系。

  • 必须安装网络摄像头和音频设备驱动程序,且网络摄像头和音频设备在客户端计算机中必须可操作。要支持实时音频-视频,您不需要在安装了代理的桌面操作系统上安装设备驱动程序。
View 的显示协议
  • PCoIP
  • VMware Blast(需要使用 Horizon Client 4.0 或更高版本以及 Horizon Agent 7.0 或更高版本)

RDP 桌面会话不支持实时音频-视频。